<div class="step" [ngClass]="state">
    <div class="circle">
        <ng-content select=".circle-content"></ng-content>
    </div>
    <div class="content">
        <ng-content select=".step-title"></ng-content>
    </div>
    <div class="content info">
        <ng-content select=".step-info"></ng-content>
    </div>
</div>
<div class="dash" [ngClass]="state"></div>